#ifndef SEJTKRMAT_H
#define SEJTKRMAT_H

#include "genfile.h"

class sejtkrmat
{
 public:
  sejtkrmat();    //constructor
  ~sejtkrmat();   //destructor

  void read(XFILE *in);

  double get_kuw(double pw);
  double get_kwu(double pw);
  double get_kww(double pw);

  double get_capuw(double pw);
  double get_capwu(double pw);
  double get_capww(double pw);

  double get_fw1(double pw);
  double get_fu1(double pw);

 private:
  
  double emod,nu,alpha,kz,ks,kk,phi0,k,rhok,g,lambda,c;
};  

#endif
